package shef.dcs.cashews.parts;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;

import shef.dcs.cashews.model.Diagram;
import shef.dcs.cashews.model.Node;


public class TreePartFactory implements EditPartFactory {

   public EditPart createEditPart(EditPart context, Object model) {
      if (model instanceof Diagram) {
         return new DiagramTreeEditPart(model);
      }
      else if (model instanceof Node) {
         return new NodeTreeEditPart(model);
      }
      else {
         return null;
      }
   }
}